Module javafx.graphics
Package javafx.geometry

# Enum Class VerticalDirection

java.lang.Object
java.lang.Enum<VerticalDirection>
javafx.geometry.VerticalDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<VerticalDirection>`, `Constable`

public enum VerticalDirection extends Enum<VerticalDirection>
Enumeration representing a vertical direction.

Since:
  JavaFX 2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DOWN`
The down direction
`UP`
The up direction

## Method Summary

Modifier and Type
Method
Description
`static VerticalDirection`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VerticalDirection[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UP

public static final VerticalDirection UP
The up direction

### DOWN

public static final VerticalDirection DOWN
The down direction

## Method Details

### values

public static VerticalDirection[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VerticalDirection valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null